Page MenuHomePhabricator

[PowerPC] [NFC] code refactor: split IsReassociable to fma and add.
ClosedPublic

Authored by shchenz on Nov 24 2020, 7:48 PM.

Details

Summary

This is a small code refactor related to machine combiner on PowerPC target.

This is preparation for a new machine combiner patch on PowerPC target.

Diff Detail

Event Timeline

shchenz created this revision.Nov 24 2020, 7:48 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 24 2020, 7:48 PM
shchenz requested review of this revision.Nov 24 2020, 7:48 PM
jsji accepted this revision as: jsji.Nov 30 2020, 1:41 PM

LGTM. Please fix the clang-format warning. Thanks.

This revision is now accepted and ready to land.Nov 30 2020, 1:41 PM

thanks for your review, I will update the lint warning in the commit

This revision was landed with ongoing or failed builds.Dec 1 2020, 6:19 PM
This revision was automatically updated to reflect the committed changes.